Views:

The NHS COVID-19 app is no longer in use and the Isle of Wight trial has now ended. This is archived information from 18 June 2020. If you still have the app, please uninstall it.

To install and use the NHS COVID-19 app, your mobile device will require Bluetooth Low Energy (BLE) 4 or above and Operating System software Android 8 (Oreo) or above such as Android 9 (Pie) and 10. We are looking to support earlier versions in future where possible. Currently, if your mobile device does not satisfy these requirements you may not be able to find NHS COVID-19 app within the Google Play Store or it will be listed as unsupported.

The following list of mobile devices have successfully been tested with the NHS COVID-19 to ensure successful operation.

If your phone is listed below, and are having difficulty installing the NHS COVID-19 app please ensure you are on Android 8 or above.

If your phone is not listed below, it may not have been tested yet and may still work as long as it satisfies the Bluetooth Low Energy (BLE) 4 or above and Android 8 or above.

Samsung-A10

 

Samsung-A20e

Samsung-A40

Samsung-A70

Samsung-Galaxy A5

Samsung-Galaxy A6

Samsung-Galaxy J5

Samsung-Galaxy Note 8

Samsung-Galaxy Note 9

Samsung-Galaxy S10

Samsung-Galaxy S10 Plus

Samsung-Galaxy S6

Samsung-Galaxy S7

Samsung-Galaxy S7 Edge

Samsung-Galaxy S8

Samsung-Galaxy S8+

Samsung-Galaxy S9

Samsung-Galaxy S9 Plus

Samsung-sm-a505fn

Samsung-sm-g970f

Samsung-sm-g973f

Samsung-sm-g975f

Samsung-sm-j415fn

Huawei-lya-l09

Huawei-P20

Huawei-P20 Pro

Huawei-sne-lx1

Xiaomi Redmi Note 8

Google Pixel 4

We continue to validate and expand the number of mobile devices capable of using the NHS COVID-19 app.